Skip to main content
POST
Create a new shareholder for an entity

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Body

application/json
relationType
enum<string>
required

Direction of the ownership relation to create

Available options:
shareholders,
shareholder_of
Example:

"shareholders"

name
string
required

Name of the shareholder to add

Example:

"JUAN MANUEL PEREZ GONZALEZ"

shares
number<float>
required

Number of shares represented by the relation

Required range: x >= 0.01
Example:

1500.5

rfc
string | null

Shareholder RFC, when available

Required string length: 12 - 13
Example:

"PEIC211118IS0"

Response

Shareholder created successfully

id
string<uuid>
required

Unique shareholder ID

Example:

"91ab5678-1234-5678-9abc-def012345678"

name
string
required

Name of the person or company that owns shares

Example:

"JUAN MANUEL PEREZ GONZALEZ"

type
enum<string>
required

Shareholder type, where physical is a person, legal is a company, and unknown means the type cannot be determined

Available options:
physical,
legal,
unknown
Example:

"physical"

rfc
string | null
required

Shareholder RFC, when available

Required string length: 12 - 13
Example:

"PEIC211118IS0"

relations
object[]
required

Relations that connect this shareholder to entities

entity
string<iri-reference> | null
required

Entity created for this shareholder after promotion, if the shareholder has been promoted

Example:

"/entities/91ab5678-1234-5678-9abc-def012345678"

createdAt
string
required

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string
required

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"

@id
string<iri-reference>

Shareholder IRI reference

Example:

"/shareholders/91ab5678-1234-5678-9abc-def012345678"

@type
string
default:Shareholder